OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations | Variables
libtimidity.cpp File Reference

Playing music via the timidity library. More...

`#include "../stdafx.h"`
`#include "../openttd.h"`
`#include "../sound_type.h"`
`#include "../debug.h"`
`#include "libtimidity.h"`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <unistd.h>`
`#include <signal.h>`
`#include <sys/stat.h>`
`#include <errno.h>`
`#include <timidity.h>`
`#include "../safeguards.h"`

Go to the source code of this file.

## Enumerations
enum | MidiState { MIDI_STOPPED = 0, MIDI_PLAYING = 1 }
| The state of playing. More...

## Variables
struct {
MidIStream * stream
MidSongOptions options
MidSong * song
MidiState status
uint32 song_length
uint32 song_position
} | _midi
| Metadata about the midi we're playing.
static FMusicDriver_LibTimidity | iFMusicDriver_LibTimidity
| Factory for the libtimidity driver.

## Detailed Description

Playing music via the timidity library.

Definition in file libtimidity.cpp.

## Enumeration Type Documentation

enum MidiState

The state of playing.

Definition at line 32 of file libtimidity.cpp.

## Variable Documentation

FMusicDriver_LibTimidity iFMusicDriver_LibTimidity
| static

Factory for the libtimidity driver.

Definition at line 58 of file libtimidity.cpp.